Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598162 - no screen after resume on HP EliteBook 8440p
no screen after resume on HP EliteBook 8440p
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 11:44 EDT by Tomas Pelka
Modified: 2011-06-27 13:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:11:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg before (120.22 KB, text/plain)
2010-05-31 11:44 EDT, Tomas Pelka
no flags Details
dmesg after (120.41 KB, text/plain)
2010-05-31 11:45 EDT, Tomas Pelka
no flags Details

  None (edit)
Description Tomas Pelka 2010-05-31 11:44:51 EDT
Created attachment 418329 [details]
dmesg before

Description of problem:
SSIA, see logs.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.fc13.x86_64

How reproducible:
100%

Steps to Reproduce:
1. 
2.
3.
  
Actual results:
No screen, no backlight.

Expected results:
Laptop should work after resume from suspend.

Additional info:
Comment 1 Tomas Pelka 2010-05-31 11:45:29 EDT
Created attachment 418330 [details]
dmesg after
Comment 3 Ben Skeggs 2010-05-31 19:43:35 EDT
What kernel version are you using?  A problem similar to this was fixed in 2.6.33.3-73.

Also, if using at least that kernel and this still happens, how do you go if you also boot with VT-d disabled in your bios (or intel_iommu=off on kernel commandline)?
Comment 4 Tomas Pelka 2010-06-02 08:30:46 EDT
Kernel 2.6.33.5-112.fc13.x86_64, will try mentioned options.
Comment 5 Tomas Pelka 2010-06-02 11:37:24 EDT
intel_iommu=off do not work for me.
Comment 6 Ben Skeggs 2010-06-02 22:00:02 EDT
Okay.  Well my only real suspect (older kernel without the fix) is ruled out.

Could you boot with "log_buf_len=1M drm.debug=14" appended to your kernel options and get me a new dmesg log please?

Also, if you can access it over ssh it'd be great if you could:
- boot with "nomodeset 3"
- echo mem > /sys/power/state
- resume
- ./vbtracetool -lp 2>post.iolog
- ./vbtracetool -w 2>vbios.rom
- mail post.iolog and vbios.rom to me

You can get vbtracetool from http://cgit.freedesktop.org/~stuart/vbtracetool, you'll need pciutils-devel installed to build it.

Thanks :)
Comment 7 Bug Zapper 2011-06-02 08:36:57 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-27 13:11:21 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.